{"product_id":"4055983409-genuine-electrolux-halogen-lamp-and-seal-kit-28w-e14-clear","title":"4055983409 Genuine Halogen Lamp Kit 28W E14 for Electrolux, Westinghouse Rangehoods RFC600S RFC900S RRC600S RRC900S RFC630S RRC630S","description":"\u003cp\u003ePart 4055983409 is a genuine Electrolux lamp kit built around a clear 28W halogen globe with an E14 small Edison screw cap. It's the replacement light for Electrolux and Westinghouse rangehoods in the RFC and RRC ranges, including the RFC600S, RFC900S and RRC600S. The kit pairs the lamp with a seal and takes over from the older numbers 4055178703K and 0060002083K, so either of those on your old packet points here.\u003c\/p\u003e\n\u003ch2\u003eRangehood light out? Check the halogen globe\u003c\/h2\u003e\n\u003cp\u003eThe halogen lamp lights the cooktop under the rangehood so you can see what's happening in the pans. Halogen globes run hot and eventually blow, and the usual sign is one light out while the fan still runs normally. A globe that flickers or has cloudy, darkened glass is close to the end as well. If a fresh globe doesn't light, check the light switch and the wiring to the holder. This lamp and seal kit is also the combination specified for Electrolux group fridges running on R600a gas, so don't swap it for an ordinary globe in those fridges.\u003c\/p\u003e\n\u003ch2\u003ePart details\u003c\/h2\u003e\n\u003cul\u003e\n\u003cli\u003eGenuine Electrolux part 4055983409\u003c\/li\u003e\n\u003cli\u003eClear 28W halogen globe, 220-240V\u003c\/li\u003e\n\u003cli\u003eE14 small Edison screw cap\u003c\/li\u003e\n\u003cli\u003eLamp and seal supplied together as a kit\u003c\/li\u003e\n\u003cli\u003eReplaces 4055178703K and 0060002083K\u003c\/li\u003e\n\u003cli\u003eFits RFC and RRC series rangehoods\u003c\/li\u003e\n\u003c\/ul\u003e\n\u003ctable class=\"part-specs\"\u003e\u003ctbody\u003e\n\u003ctr\u003e\n\u003cth\u003ePower\u003c\/th\u003e\n\u003ctd\u003e28W\u003c\/td\u003e\n\u003c\/tr\u003e\n\u003ctr\u003e\n\u003cth\u003eVoltage\u003c\/th\u003e\n\u003ctd\u003e220-240V\u003c\/td\u003e\n\u003c\/tr\u003e\n\u003ctr\u003e\n\u003cth\u003eCap\u003c\/th\u003e\n\u003ctd\u003eE14 small Edison screw\u003c\/td\u003e\n\u003c\/tr\u003e\n\u003ctr\u003e\n\u003cth\u003eType\u003c\/th\u003e\n\u003ctd\u003eHalogen, clear glass\u003c\/td\u003e\n\u003c\/tr\u003e\n\u003ctr\u003e\n\u003cth\u003eKit\u003c\/th\u003e\n\u003ctd\u003eLamp and seal\u003c\/td\u003e\n\u003c\/tr\u003e\n\u003c\/tbody\u003e\u003c\/table\u003e\n\u003ch2\u003eSwapping the rangehood globe\u003c\/h2\u003e\n\u003cp\u003eSwitch the rangehood off at the wall or isolate it at the switchboard, then give the old globe time to cool, as halogens get very hot. Remove the light cover or filter to reach the holder. Handle the new globe with a clean cloth or glove, since skin oil on halogen glass shortens its life. Fit the seal as supplied, refit the cover and test the light.\u003c\/p\u003e\n\u003ch2\u003eQuestions about this part\u003c\/h2\u003e\n\u003ch3\u003eWhich rangehoods does 4055983409 fit?\u003c\/h3\u003e\u003cp\u003eIt's listed for Electrolux and Westinghouse rangehoods in the RFC600, RFC630, RFC900, RFC930, RRC600, RRC630, RRC635 and RRC900 ranges. The model label is usually inside the hood behind the filter, so check it against those numbers.\u003c\/p\u003e\n\u003ch3\u003eCan this kit be used in a fridge?\u003c\/h3\u003e\u003cp\u003eIt's the lamp and seal combination specified for Electrolux group fridges that run on R600a gas. Compare the E14 cap and 28W rating with the globe you're replacing to confirm the match.\u003c\/p\u003e","brand":"Electrolux","offers":[{"title":"Default Title","offer_id":44547751673934,"sku":"4055983409","price":36.99,"currency_code":"AUD","in_stock":true}],"thumbnail_url":"\/\/cdn.shopify.com\/s\/files\/1\/0768\/3489\/7998\/files\/4055983409-genuine-electrolux-halogen-lamp-and-seal-kit-28w-e14-clear.jpg?v=1792025684","url":"https:\/\/partsshop.com.au\/products\/4055983409-genuine-electrolux-halogen-lamp-and-seal-kit-28w-e14-clear","provider":"My Store","version":"1.0","type":"link"}